/***********************************************************
Experiment 17: Flame Sensor with Buzzer
Description: Flame sensor are used to detect fire accidents
Company: Texoham Centre for Advanced Computing
Website: www.texoham.com
***********************************************************/

int buzzer = 8;                   //arduino 8th pin connected to buzzer 
int ledPin = 7;                   //arduino 7th pin connected to ledpin
int flame_sensor = 4;             //arduino 4th pin connected to flame sensor OUT pin
int flame_detected;

void setup()
{
  Serial.begin(9600);
  pinMode(buzzer, OUTPUT);
  pinMode(ledPin, OUTPUT);
  pinMode(flame_sensor, INPUT);
}

void loop()
{
  flame_detected = digitalRead(flame_sensor);
  if (flame_detected == 0)
  {
    Serial.println("Flame detected...! Take action immediately.");
    digitalWrite(buzzer, HIGH);
    digitalWrite(ledPin, HIGH);
    delay(200);
    digitalWrite(ledPin, LOW);
    delay(200);
  }
  else
  {
    Serial.println("No flame detected. Take it easy!");
    digitalWrite(buzzer, LOW);
    digitalWrite(ledPin, LOW);
  }
  delay(1000);
}
