/***********************************************************
Project 03:   Bluetooth RC Car
Description: A car that can be controlled remotely via Bluetooth on an android phone.
Source: Texoham Centre for Advanced Computing
Website: www.texoham.com
***********************************************************/

int Input1 = 3;                 //araduino Digitalpin 10 set as output Pinconnected to L293D pin input1
int Input2 = 4;                 //araduino Digitalpin 11 set as output Pinconnected to L293D pin input2
int Input3 = 8;                 //araduino Digitalpin 12 set as output Pinconnected to L293D pin input3
int Input4 = 9;                 //araduino Digitalpin 13 set as output Pinconnected to L293D pin input4
char Value;

void setup() 
{  
  pinMode(Input1, OUTPUT);           
  pinMode(Input2, OUTPUT);             
  pinMode(Input3, OUTPUT); 
  pinMode(Input4, OUTPUT); 
  Serial.begin(9600);
}

void loop()
{
  while (Serial.available() > 0)
  {
    Value = Serial.read();
    Serial.println(Value);
  }

  if( Value == 'F')                     // Forward
  {
      digitalWrite(Input1, HIGH);
      digitalWrite(Input2, LOW);
      digitalWrite(Input3, HIGH);
      digitalWrite(Input4, LOW); 
  }
  else if(Value == 'B')                // Backward
  {
      digitalWrite(Input1, LOW);
      digitalWrite(Input2, HIGH);
      digitalWrite(Input4, LOW);
      digitalWrite(Input4, HIGH); 
  }
  else if(Value == 'L')               //Left
  {
    digitalWrite(Input1, LOW);
    digitalWrite(Input2, LOW);
    digitalWrite(Input3, HIGH);
    digitalWrite(Input4, LOW);
  }
  else if(Value == 'R')              //Right
  {
    digitalWrite(Input1, HIGH);
    digitalWrite(Input2, LOW);
    digitalWrite(Input3, LOW);
    digitalWrite(Input4, LOW); 
  }
  else if(Value == 'S')                 //Stop
  {
    digitalWrite(Input1, LOW);
    digitalWrite(Input2, LOW);
    digitalWrite(Input3, LOW);
    digitalWrite(Input4, LOW); 
  }
  else if(Value == 'I')                 //Forward Right
  {
    digitalWrite(Input1, HIGH);
    digitalWrite(Input2, LOW);
    digitalWrite(Input3, LOW);
    digitalWrite(Input4, LOW);
  }
  else if(Value == 'J')                 //Backward Right
  {
    digitalWrite(Input1, LOW);
    digitalWrite(Input2, HIGH);
    digitalWrite(Input3, LOW);
    digitalWrite(Input4, LOW);
  }
  else if(Value == 'G')                //Forward Left
  {
    digitalWrite(Input1, LOW);
    digitalWrite(Input2, LOW);
    digitalWrite(Input3, HIGH);
    digitalWrite(Input4, LOW);
  }
  else if(Value == 'H')                 //Backward Left
  {
    digitalWrite(Input1, LOW);
    digitalWrite(Input2, LOW);
    digitalWrite(Input3, LOW);
    digitalWrite(Input4, HIGH); 
  }
}
